<?php 
return [
  'accepted' => 'Se debe aceptar el :attribute.',
  'active_url' => 'El :attribute no es una URL válida.',
  'after' => 'El :attribute debe ser una fecha posterior a :date.',
  'after_or_equal' => 'El :attribute debe ser una fecha posterior o igual a :date.',
  'alpha' => 'El :attribute sólo puede contener letras.',
  'alpha_dash' => 'El :attribute sólo puede contener letras, números y guiones.',
  'alpha_num' => 'El :attribute sólo puede contener letras y números.',
  'array' => 'El :attribute debe ser una matriz.',
  'before' => 'El :attribute debe ser una fecha anterior a :date.',
  'before_or_equal' => 'El :attribute debe ser una fecha anterior o igual a :date.',
  'accepted_if' => 'El campo :attribute debe aceptarse cuando :other es :value.',
  'ascii' => 'El campo :attribute solo debe contener símbolos y caracteres alfanuméricos de un solo byte.',
  'between' => [
    'numeric' => 'El :attribute debe estar entre :min y :max.',
    'file' => 'El :attribute debe estar entre :min y :max kilobytes.',
    'string' => 'El :attribute debe tener entre :min y :max caracteres.',
    'array' => 'El :attribute debe tener entre :min y :max elementos.',
  ],
  'boolean' => 'El campo :attribute debe ser verdadero o falso.',
  'confirmed' => 'La confirmación :attribute no coincide.',
  'date' => 'El :attribute no es una fecha válida.',
  'date_format' => 'El :attribute no coincide con el formato :format.',
  'different' => 'Los :attribute y :other deben ser diferentes.',
  'digits' => 'El :attribute debe tener :digits dígitos.',
  'digits_between' => 'El :attribute debe estar entre :min y :max dígitos.',
  'dimensions' => 'El :attribute tiene dimensiones de imagen no válidas.',
  'distinct' => 'El campo :attribute tiene un valor duplicado.',
  'email' => 'El :attribute debe ser una dirección de correo electrónico válida.',
  'invalidEmail' => 'Por favor, introduce una dirección de correo electrónico válida.',
  'invalidEmailPassword' => 'La combinación de correo electrónico y contraseña no es correcta.',
  'exists' => 'El :attribute seleccionado no es válido.',
  'file' => 'El :attribute debe ser un archivo.',
  'filled' => 'El campo :attribute debe tener un valor.',
  'image' => 'El :attribute debe ser una imagen.',
  'in' => 'El :attribute seleccionado no es válido.',
  'in_array' => 'El campo :attribute no existe en :other.',
  'integer' => 'El :attribute debe ser un número entero.',
  'ip' => 'El :attribute debe ser una dirección IP válida.',
  'json' => 'El :attribute debe ser una cadena JSON válida.',
  'current_password' => 'La contraseña es incorrecta.',
  'date_equals' => 'El campo :attribute debe ser una fecha igual a :date.',
  'decimal' => 'El campo :attribute debe tener :decimal decimales.',
  'declined' => 'El campo :attribute debe rechazarse.',
  'declined_if' => 'El campo :attribute debe rechazarse cuando :other es :value.',
  'doesnt_end_with' => 'El campo :attribute no debe terminar con uno de los siguientes: :values.',
  'doesnt_start_with' => 'El campo :attribute no debe comenzar con uno de los siguientes: :values.',
  'ends_with' => 'El campo :attribute debe terminar con uno de los siguientes: :values.',
  'enum' => 'El :attribute seleccionado no es válido.',
  'gt' => [
    'array' => 'El campo :attribute debe tener más de :value elementos.',
    'file' => 'El campo :attribute debe ser mayor que :value kilobytes.',
    'numeric' => 'El campo :attribute debe ser mayor que :value.',
    'string' => 'El campo :attribute debe tener más de :value caracteres.',
  ],
  'gte' => [
    'array' => 'El campo :attribute debe tener :value elementos o más.',
    'file' => 'El campo :attribute debe ser mayor o igual a :value kilobytes.',
    'numeric' => 'El campo :attribute debe ser mayor o igual a :value.',
    'string' => 'El campo :attribute debe ser mayor o igual a :value caracteres.',
  ],
  'ipv4' => 'El campo :attribute debe ser una dirección IPv4 válida.',
  'ipv6' => 'El campo :attribute debe ser una dirección IPv6 válida.',
  'lowercase' => 'El campo :attribute debe estar en minúscula.',
  'lt' => [
    'array' => 'El campo :attribute debe tener menos de :value elementos.',
    'file' => 'El campo :attribute debe tener menos de :value kilobytes.',
    'numeric' => 'El campo :attribute debe ser menor que :value.',
    'string' => 'El campo :attribute debe tener menos de :value caracteres.',
  ],
  'lte' => [
    'array' => 'El campo :attribute no debe tener más de :value elementos.',
    'file' => 'El campo :attribute debe ser menor o igual a :value kilobytes.',
    'numeric' => 'El campo :attribute debe ser menor o igual a :value.',
    'string' => 'El campo :attribute debe tener menos o igual que :value caracteres.',
  ],
  'mac_address' => 'El campo :attribute debe ser una dirección MAC válida.',
  'max' => [
    'numeric' => 'El :attribute no podrá ser mayor que :max.',
    'file' => 'El :attribute no podrá ser superior a :max kilobytes.',
    'string' => 'El :attribute no puede ser mayor que :max caracteres.',
    'array' => 'El :attribute no podrá tener más de :max elementos.',
  ],
  'max_digits' => 'El campo :attribute no debe tener más de :max dígitos.',
  'mimes' => 'El :attribute debe ser un archivo de tipo: :values.',
  'mimetypes' => 'El :attribute debe ser un archivo de tipo: :values.',
  'min' => [
    'numeric' => 'El :attribute debe ser al menos :min.',
    'file' => 'El :attribute debe tener al menos :min kilobytes.',
    'string' => 'El :attribute debe tener al menos :min caracteres.',
    'array' => 'El :attribute debe tener al menos :min elementos.',
  ],
  'not_in' => 'El :attribute seleccionado no es válido.',
  'numeric' => 'El :attribute debe ser un número.',
  'present' => 'El campo :attribute debe estar presente.',
  'regex' => 'El formato :attribute no es válido.',
  'required' => 'El campo :attribute es obligatorio.',
  'required_if' => 'El campo :attribute es obligatorio cuando :other es :value.',
  'required_unless' => 'El campo :attribute es obligatorio a menos que :other esté en :values.',
  'required_with' => 'El campo :attribute es obligatorio cuando :values está presente.',
  'required_with_all' => 'El campo :attribute es obligatorio cuando :values está presente.',
  'required_without' => 'El campo :attribute es obligatorio cuando :values no está presente.',
  'required_without_all' => 'El campo :attribute es obligatorio cuando ninguno de :values está presente.',
  'same' => 'Los :attribute y :other deben coincidir.',
  'min_digits' => 'El campo :attribute debe tener al menos :min dígitos.',
  'missing' => 'Debe faltar el campo :attribute.',
  'missing_if' => 'El campo :attribute debe faltar cuando :other es :value.',
  'missing_unless' => 'Debe faltar el campo :attribute a menos que :other sea :value.',
  'missing_with' => 'El campo :attribute debe faltar cuando :values está presente.',
  'missing_with_all' => 'El campo :attribute debe faltar cuando :values está presente.',
  'multiple_of' => 'El campo :attribute debe ser múltiplo de :value.',
  'not_regex' => 'El formato del campo :attribute no es válido.',
  'password' => [
    'letters' => 'El campo :attribute debe contener al menos una letra.',
    'mixed' => 'El campo :attribute debe contener al menos una letra mayúscula y una minúscula.',
    'numbers' => 'El campo :attribute debe contener al menos un número.',
    'symbols' => 'El campo :attribute debe contener al menos un símbolo.',
    'uncompromised' => 'El :attribute dado apareció en una filtración de datos. Por favor elige un :attribute diferente.',
  ],
  'prohibited' => 'El campo :attribute está prohibido.',
  'prohibited_if' => 'El campo :attribute está prohibido cuando :other es :value.',
  'prohibited_unless' => 'El campo :attribute está prohibido a menos que :other esté en :values.',
  'prohibits' => 'El campo :attribute prohíbe que :other esté presente.',
  'required_array_keys' => 'El campo :attribute debe contener entradas para: :values.',
  'required_if_accepted' => 'El campo :attribute es obligatorio cuando se acepta :other.',
  'size' => [
    'numeric' => 'El :attribute debe ser :size.',
    'file' => 'El :attribute debe ser :size kilobytes.',
    'string' => 'El :attribute debe tener :size caracteres.',
    'array' => 'El :attribute debe contener elementos :size.',
  ],
  'string' => 'El :attribute debe ser una cadena.',
  'timezone' => 'El :attribute debe ser una zona válida.',
  'unique' => 'El :attribute ya ha sido tomado.',
  'uploaded' => 'El :attribute no pudo cargarse.',
  'url' => 'El formato :attribute no es válido.',
  'email_domain' => 'El :attribute debe ser un dominio válido, p. gmail.com',
  'slack_webhook' => 'El formato del webhook no es válido. Para obtener más información, visite este',
  'not_custom_fields' => 'No puedes agregar el campo personalizado con esta etiqueta',
  'starts_with' => 'El campo :attribute debe comenzar con uno de los siguientes: :values.',
  'ulid' => 'El campo :attribute debe ser un ULID válido.',
  'uppercase' => 'El campo :attribute debe estar en mayúscula.',
  'uuid' => 'El campo :attribute debe ser un UUID válido.',
  'custom' => [
    'attribute-name' => [
      'rule-name' => 'mensaje personalizado',
    ],
  ],
  'givenDataInvalid' => 'Los datos proporcionados no eran válidos.',
  'attributes' => [
    'client_name' => 'nombre del cliente',
    'client_email' => 'correo electrónico del cliente',
    'website' => 'sitio web',
    'name' => 'nombre',
    'email' => 'correo electrónico',
    'password' => 'contraseña',
    'country' => 'país',
    'mobile' => 'móvil',
    'category_name' => 'nombre de la categoría',
    'title' => 'título',
    'details' => 'detalles',
    'user_id' => 'empleado',
    'category_id' => 'categoria ID',
    'file' => 'archivo',
    'contact_name' => 'nombre de contacto',
    'import_file' => 'importar archivo',
    'remind_time' => 'recordar el tiempo',
    'next_follow_up_date' => 'próxima fecha de seguimiento',
    'employee_id' => 'ID de empleado',
    'department' => 'departamento',
    'designation' => 'designación',
    'hourly_rate' => 'tarifa por hora',
    'joining_date' => 'dia de ingreso',
    'last_date' => 'ultima cita',
    'date_of_birth' => 'fecha de nacimiento',
    'probation_end_date' => 'fecha de finalización de la libertad condicional',
    'notice_period_start_date' => 'fecha de inicio del período de aviso',
    'notice_period_end_date' => 'fecha de finalización del período de notificación',
    'internship_end_date' => 'fecha de finalización de la pasantía',
    'contract_end_date' => 'fecha de finalización del contrato',
    'relationship' => 'relación',
    'award' => 'otorgar',
    'given_to' => 'dado a',
    'award_date' => 'fecha de premiación',
    'multi_date' => 'cita múltiple',
    'year' => 'año',
    'month' => 'mes',
    'office_start_time' => 'hora de inicio de la oficina',
    'office_end_time' => 'hora de finalización de la oficina',
    'shift_short_code' => 'código corto de cambio',
    'color' => 'color',
    'late_mark_duration' => 'duración de la marca tardía',
    'clockin_in_day' => 'reloj en un día',
    'office_open_days' => 'jornadas de puertas abiertas',
    'clock_in_time' => 'reloj en el tiempo',
    'clock_out_time' => 'marcar la hora de salida',
    'working_from' => 'trabajando desde',
    'clock_in_ip' => 'reloj en ip',
    'clock_out_ip' => 'marcar ip',
    'designation_name' => 'nombre de designación',
    'team_name' => 'nombre del equipo',
    'client_id' => 'Identificación del cliente',
    'subject' => 'sujeto',
    'amount' => 'cantidad',
    'contract_type' => 'tipo de contrato',
    'start_date' => 'fecha de inicio',
    'first_name' => 'nombre de pila',
    'last_name' => 'apellido',
    'signature' => 'firma',
    'image' => 'imagen',
    'comment' => 'comentario',
    'project_name' => 'nombre del proyecto',
    'hours_allocated' => 'horas asignadas',
    'deadline' => 'fecha límite',
    'project_budget' => 'presupuesto del proyecto',
    'currency_id' => 'identificación de moneda',
    'project_id' => 'Projecto ID',
    'milestone_title' => 'título de hito',
    'summary' => 'resumen',
    'discussion_category' => 'categoría de discusión',
    'description' => 'descripción',
    'priority' => 'prioridad',
    'due_date' => 'fecha de vencimiento',
    'repeat_cycles' => 'repetir ciclos',
    'dependent_task_id' => 'ID de tarea dependiente',
    'estimate_hours' => 'estimar horas',
    'estimate_minutes' => 'estimar minutos',
    'note' => 'nota',
    'memo' => 'memorándum',
    'start_time' => 'hora de inicio',
    'end_time' => 'hora de finalización',
    'valid_till' => 'válida hasta',
    'sub_total' => 'subtotal',
    'total' => 'total',
    'lead_id' => 'identificación del cliente potencial',
    'estimate_number' => 'número estimado',
    'invoice_number' => 'número de factura',
    'issue_date' => 'fecha de asunto',
    'shipping_address' => 'Dirección de envío',
    'day_of_week' => 'día de la semana',
    'day_of_month' => 'día del mes',
    'cn_number' => 'número cn',
    'invoice_id' => 'identificación de factura',
    'item_name' => 'nombre del árticulo',
    'purchase_date' => 'Fecha de compra',
    'price' => 'precio',
    'billing_cycle' => 'ciclo de facturación',
    'paid_on' => 'pagado en',
    'transaction_id' => 'ID de transacción',
    'downloadable_file' => 'archivo descargable',
    'tax_name' => 'nombre del impuesto',
    'rate_percent' => 'porcentaje de tasa',
    'status' => 'estado',
    'order_date' => 'fecha de orden',
    'ticket_subject' => 'asunto del boleto',
    'ticket_description' => 'descripción del billete',
    'message' => 'mensaje',
    'type' => 'tipo',
    'channel_name' => 'Nombre del Canal',
    'event_name' => 'nombre del evento',
    'all_employees' => 'todos los empleados',
    'where' => 'dónde',
    'event_link' => 'enlace del evento',
    'heading' => 'título',
    'category' => 'categoría',
    'company_name' => 'nombre de empresa',
    'company_email' => 'correo electrónico de la empresa',
    'company_phone' => 'telefono de la empresa',
    'location' => 'ubicación',
    'address' => 'DIRECCIÓN',
    'allowed_file_types' => 'Tipos de archivo permitidos',
    'allowed_file_size' => 'tamaño de archivo permitido',
    'currency_name' => 'nombre de la moneda',
    'currency_symbol' => 'símbolo de moneda',
    'usd_price' => 'precio_usd',
    'exchange_rate' => 'tipo de cambio',
    'currency_code' => 'código de moneda',
    'invoice_prefix' => 'prefijo de factura',
    'estimate_prefix' => 'prefijo de estimación',
    'credit_note_prefix' => 'prefijo de nota de crédito',
    'template' => 'plantilla',
    'due_after' => 'fecha posterior',
    'invoice_terms' => 'términos de factura',
    'app_name' => 'nombre de la aplicación',
    'code' => 'código',
    'search_keyword' => 'buscar la palabra clave',
    'reply_heading' => 'encabezado de respuesta',
    'reply_text' => 'responder texto',
    'send_reminder' => 'Enviar recordatorio',
    'remind_to' => 'Enviar recordatorio',
    'remind_type' => 'recordar tipo',
    'radius' => 'radio',
    'alert_after' => 'alerta después',
    'monthly_report_roles' => 'roles de informe mensual',
    'type_name' => 'escribe un nombre',
    'leave_number' => 'dejar numero',
    'monthly_limit' => 'límite mensual',
    'label' => 'etiqueta',
    'required' => 'requerido',
    'agent_name' => 'nombre del agente',
    'primary_color' => 'color primario',
    'language_name' => 'Nombre del lenguaje',
    'language_code' => 'Código de lenguaje',
    'flag' => 'bandera',
    'additional_description' => 'Descripción adicional',
    'consent_description' => 'descripción del consentimiento',
    'full_name' => 'nombre completo',
    'allow_email' => 'permitir correo electrónico',
    'email_domain' => 'dominio de correo electrónico',
    'external_link' => 'Enlace externo',
    'filename' => 'Nombre del archivo',
    'task_id' => 'identificación de la tarea',
    'group_name' => 'Nombre del grupo',
    'column_name' => 'nombre de la columna',
    'label_color' => 'color de la etiqueta',
    'clientName' => 'nombre del cliente',
    'city' => 'ciudad',
    'state' => 'estado',
    'line1' => 'línea 1',
    'notetext' => 'nota de texto',
    'value' => 'valor',
    'admin_id' => 'identificación de administrador',
    'reason' => 'razón',
    'leave_date' => 'Fecha de partida',
    'duration' => 'duración',
    'leave_type_id' => 'dejar tipo de identificación',
    'occassion' => 'ocasión',
    'date' => 'fecha',
    'employee_shift_id' => 'identificación del turno del empleado',
    'hour_of_day' => 'hora de un día',
    'backup_after_days' => 'copia de seguridad después de días',
    'delete_backup_after_days' => 'eliminar copia de seguridad después de días',
    'credit_note_id' => 'identificación de nota de crédito',
    'billing_frequency' => 'frecuencia de facturación',
    'billing_interval' => 'intervalo de facturación',
    'work_from_type' => 'trabajar desde el tipo',
    'label_name' => 'Nombre de etiqueta',
    'has_heading' => 'tiene el encabezado',
    'notAllowed' => 'El :attribute no está permitido',
    'effective_after' => 'Efectivo después',
  ],
  'selectAtLeastOne' => 'Selecciona al menos uno',
  'notAllowed' => 'El :attribute no está permitido',
];