<?php

namespace Modules\Purchase\Observers;

use App\Models\Invoice;
use App\Models\Payment;
use Modules\Purchase\Entities\PurchaseProduct;
use Modules\Purchase\Entities\PurchaseStockAdjustment;

class PaymentObserver
{

    public function created(Payment $payment)
    {
        $invoice = Invoice::with('items')->findOrFail($payment->invoice_id);

        foreach($invoice->items as $item)
        {
            $stock = PurchaseStockAdjustment::where('product_id', $item->product_id)->first();

            if(isset($stock->net_quantity))
            {
                $stock->net_quantity = $stock->net_quantity - $item->quantity;
                $stock->save();
            }
        }
    }

    public function deleting(Payment $payment)
    {
        $invoice = Invoice::with('items')->findOrFail($payment->invoice_id);

        foreach($invoice->items as $item)
        {
            $stock = PurchaseStockAdjustment::where('product_id', $item->product_id)->first();
            $stock->net_quantity = $stock->net_quantity + $item->quantity;
            $stock->save();
        }

    }

}
