<?php

namespace Modules\Subdomain\Console;

use App\Models\Company;
use App\Scopes\ActiveScope;
use Illuminate\Console\Command;
use Modules\RestAPI\Entities\RestAPISetting;
use Modules\Subdomain\Entities\SubdomainSetting;

class ActivateModuleCommand extends Command
{

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $name = 'subdomain:activate';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Add all the module settings of asset module';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $companies = Company::whereNull('sub_domain')->withoutGlobalScope(ActiveScope::class)->select(['id', 'app_name'])->get();

        foreach ($companies as $company) {
            SubdomainSetting::addDefaultSubdomain($company);
        }
    }

}
